Package: mkgmap
Version: 0.0.0+svn2981-1
Followup-For: Bug #741596


I took another look at this issue, and I think the easiest solution to this is
to add a debian/classpath file like the one in the attached patch. This injects
the correct Class-Path to the mkgmap.jar file which makes it work with the
mkgmap script and also results in jh_depends finding and adding the correct
dependencies to the package.

Best regards

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_CH.utf8, LC_CTYPE=de_CH.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mkgmap depends on:
ii  ant            1.9.4-1
ii  default-jre    2:1.7-52
ii  openjdk-7-jre  7u55-2.4.7-2

mkgmap recommends no packages.

Versions of packages mkgmap suggests:
pn  josm        <none>
pn  qlandkarte  <none>

-- no debconf information
>From eb948a0570a23cd321df8943c0ce48be351935ed Mon Sep 17 00:00:00 2001
From: Manfred Stock <>
Date: Sun, 15 Jun 2014 17:31:54 +0200
Subject: [PATCH] Add debian/classpath to fix classpath in MANIFEST.MF of

This should fix #741596 by adding the correct classpath to mkgmap.jar and
thus also fixing the dependency resolution using jh_depends.
 debian/classpath | 1 +
 1 file changed, 1 insertion(+)
 create mode 100644 debian/classpath

diff --git a/debian/classpath b/debian/classpath
new file mode 100644
index 0000000..84aeb75
--- /dev/null
+++ b/debian/classpath
@@ -0,0 +1 @@
+usr/share/mkgmap/mkgmap.jar /usr/share/java/fastutil.jar /usr/share/java/protobuf.jar /usr/share/java/osmpbf.jar

Pkg-grass-devel mailing list

Reply via email to